Debian Bug report logs - #385898
slapd: add lsb logging

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: David Härdeman <david@hardeman.nu>

Date: Sun, 3 Sep 2006 20:33:36 UTC

Severity: minor

Tags: patch

Found in version openldap2.3/2.3.25-1

Fixed in version openldap/2.4.21-1

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
New Bug report received and forwarded. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: submit@bugs.debian.org
Subject: slapd: add lsb logging
Date: Sun, 3 Sep 2006 22:23:11 +0200
[Message part 1 (text/plain, inline)]
Package: slapd
Version: 2.3.25-1
Severity: minor
Tags: patch

Hi,

the attached patch changes the slapd init.d script(s) to use lsb
logging functions.

Regards,
David

-- 
David Härdeman
[slapd-add-lsb-logging.patch (text/plain, inline)]
diff -ur ./openldap2.3-2.3.25.orig/debian/control ./openldap2.3-2.3.25/debian/control
--- ./openldap2.3-2.3.25.orig/debian/control	2006-09-03 22:05:30.000000000 +0200
+++ ./openldap2.3-2.3.25/debian/control	2006-09-03 22:22:37.000000000 +0200
@@ -12,7 +12,7 @@
 Priority: optional
 Architecture: any
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
-Depends: ${shlibs:Depends}, coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl, libldap-2.3-0 (= ${Source-Version}), adduser
+Depends: ${shlibs:Depends}, coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl, libldap-2.3-0 (= ${Source-Version}), adduser, lsb-base (>= 3.0-10)
 Recommends: db4.2-util, libsasl2-modules
 Suggests: ldap-utils
 Conflicts: umich-ldapd, ldap-server, libbind-dev, bind-dev, libltdl3 (= 1.5.4-1)
diff -ur ./openldap2.3-2.3.25.orig/debian/slapd.init ./openldap2.3-2.3.25/debian/slapd.init
--- ./openldap2.3-2.3.25.orig/debian/slapd.init	2006-09-03 22:05:30.000000000 +0200
+++ ./openldap2.3-2.3.25/debian/slapd.init	2006-09-03 22:22:02.000000000 +0200
@@ -9,6 +9,9 @@
 # Stop processing if slapd is not there
 [ -x /usr/sbin/slapd ] || exit 0
 
+# Use LSB logging functions
+. /lib/lsb/init-functions
+
 # Source the init script configuration
 if [ -f "/etc/default/slapd" ]; then
 	. /etc/default/slapd
@@ -24,15 +27,8 @@
 
 # Stop processing if the config file is not there
 if [ ! -r "$SLAPD_CONF" ]; then
-  cat <<EOF >&2
-No configuration file was found for slapd at $SLAPD_CONF.
-If you have moved the slapd configuration file please modify
-/etc/default/slapd to reflect this.  If you chose to not
-configure slapd during installation then you need to do so
-prior to attempting to start slapd.
-An example slapd.conf is in /usr/share/slapd
-EOF
-  exit 0 # Should this be 1?
+	log_warning_msg "No configuration file was found for slapd at $SLAPD_CONF."
+	exit 1
 fi
 
 # Figure out some default settings
@@ -54,10 +50,7 @@
 # XXX: Breaks upgrading if there is no pidfile (invoke-rc.d stop will fail)
 # -- Torsten
 if [ -z "$SLAPD_PIDFILE" ]; then
-	cat <<EOF >&2
-The pidfile for slapd is neither specified in "$SLAPD_CONF" nor
-in /etc/default/slapd. Consequently, slapd will not be started.
-EOF
+	log_warning_msg "The pidfile for slapd is neither specified in $SLAPD_CONF nor in /etc/default/slapd. Consequently, slapd will not be started."
 	exit 1
 fi
 
@@ -73,37 +66,26 @@
 # Tell the user that something went wrong and give some hints for
 # resolving the problem.
 report_failure() {
+	log_end_msg 1
 	if [ -n "$reason" ]; then
-		echo " - failed: "
-		echo "$reason"
+		log_failure_msg "$reason"
 	else
-		echo " - failed."
-		cat <<EOF
-The operation failed but no output was produced. For hints on what went
-wrong please refer to the system's logfiles (e.g. /var/log/syslog) or
-try running the daemon in Debug mode like via "slapd -d 16383" (warning:
-this will create copious output).
-EOF
+		log_failure_msg "The operation failed but no output was produced. For hints on what went wrong please refer to the system's logfiles (e.g. /var/log/syslog) or try running the daemon in Debug mode like via \"slapd -d 16383\" (warning: this will create copious output)."
 
 		if [ -n "$SLURPD_OPTIONS" -o \
 		     -n "$SLAPD_OPTIONS" -o \
 		     -n "$SLAPD_SERVICES" ]; then
-			cat << EOF
-
-Below, you can find the command line options used by this script to 
-run slapd and slurpd. Do not forget to specify those options if you
-want to look to debugging output:
-EOF
+		        log_failure_msg "Below, you can find the command line options used by this script to run slapd and slurpd. Do not forget to specify those options if you want to look to debugging output:"
 	                if [ -z "$SLAPD_SERVICES" ]; then
 				if [ -n "$SLAPD_OPTIONS" ]; then
-					echo "  slapd $SLAPD_OPTIONS"
+					log_failure_msg "slapd $SLAPD_OPTIONS"
 				fi
                 	else
-                        	echo "  slapd -h '$SLAPD_SERVICES' $SLAPD_OPTIONS"
+                        	log_failure_msg "slapd -h '$SLAPD_SERVICES' $SLAPD_OPTIONS"
                 	fi
 
                 	if [ "$SLURPD" = "yes" -a -n "$SLURPD_OPTIONS" ]; then
-                       		echo "  slurpd $SLURPD_OPTIONS"
+                       		log_failure_msg "slurpd $SLURPD_OPTIONS"
                 	fi
 		fi
 	fi
@@ -112,7 +94,6 @@
 # Start the slapd daemon and capture the error message if any to 
 # $reason.
 start_slapd() {
-	echo -n " slapd"
 	if [ -z "$SLAPD_SERVICES" ]; then
 		reason="`start-stop-daemon --start --quiet --oknodo \
 			--pidfile "$SLAPD_PIDFILE" \
@@ -127,10 +108,6 @@
 # Start the slurpd daemon and capture the error message if any to
 # $reason.
 start_slurpd() {
-	if [ "$SLURPD_START" != yes ]; then
-		return 0
-	fi
-	echo -n " slurpd"
 	reason="`start-stop-daemon --start --quiet --oknodo \
 		--exec /usr/sbin/slurpd -- $SLURPD_OPTIONS 2>&1`"
 }
@@ -138,7 +115,6 @@
 # Stop the slapd daemon and capture the error message (if any) to
 # $reason.
 stop_slapd() {
-	echo -n " slapd"
 	reason="`start-stop-daemon --stop --quiet --oknodo --retry 10 \
 		--pidfile "$SLAPD_PIDFILE" \
 		--exec /usr/sbin/slapd 2>&1`"
@@ -147,32 +123,37 @@
 # Stop the slurpd daemon and capture the error message (if any) to
 # $reason.
 stop_slurpd() {
-	if [ "$SLURPD_START" != yes ]; then
-		return 0
-	fi
-	echo -n " slurpd"
 	reason="`start-stop-daemon --stop --quiet --oknodo --retry 10 \
 		--exec /usr/sbin/slurpd 2>&1`"
 }
 
 # Start the OpenLDAP daemons
 start() {
-	echo -n "Starting OpenLDAP:"
 	trap 'report_failure' 0
+	log_daemon_msg "Starting OpenLDAP" "slapd"
 	start_slapd
-	start_slurpd
+	if [ "$SLURPD_START" = "yes" ]; then
+		log_progress_msg "slurpd"
+		start_slurpd
+	fi
 	trap "-" 0
-	echo .
+	log_end_msg 0
 }
 
 # Stop the OpenLDAP daemons
 stop() {
-	echo -n "Stopping OpenLDAP:"
 	trap 'report_failure' 0
-	stop_slurpd
-	stop_slapd
+	if [ "$SLURPD_START" = "yes" ]; then
+		log_daemon_msg "Stopping OpenLDAP" "slurpd"
+		stop_slurpd
+		log_progress_msg "slapd"
+		stop_slapd
+	else
+		log_daemon_msg "Stopping OpenLDAP" "slapd"
+		stop_slapd
+	fi
 	trap "-" 0
-	echo .
+	log_end_msg 0
 }
 
 case "$1" in

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 385898@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: David Härdeman <david@hardeman.nu>
Cc: 385898@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#385898: slapd: add lsb logging
Date: Mon, 04 Sep 2006 11:14:51 -0700
David Härdeman <david@hardeman.nu> writes:

> Package: slapd
> Version: 2.3.25-1
> Severity: minor
> Tags: patch

> Hi,

> the attached patch changes the slapd init.d script(s) to use lsb
> logging functions.

This doesn't really look like an improvement to me.  We'd be replacing
wrapped messages with unwrapped messages, losing some detail from one of
the messages, and I don't think really improving the output for the user.

The basic idea of the LSB logging functions is a good one, but I've been
rather unsatisfied by how they look in practice.  One of the main things
they do is render any error message much more confusing because it gets
concatenated with status messages all on the same line.  There should be a
better way, although I'm not quite sure what -- maybe something that
intercepts stderr output so that it can add appropriate newlines, wrap
error messages, and make things more readable.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 385898@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: Russ Allbery <rra@debian.org>
Cc: 385898@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#385898: slapd: add lsb logging
Date: Mon, 4 Sep 2006 23:32:52 +0200
On Mon, Sep 04, 2006 at 11:14:51AM -0700, Russ Allbery wrote:
>David Härdeman <david@hardeman.nu> writes:
>> the attached patch changes the slapd init.d script(s) to use lsb
>> logging functions.
>
>This doesn't really look like an improvement to me.  We'd be replacing
>wrapped messages with unwrapped messages, losing some detail from one of
>the messages, and I don't think really improving the output for the user.

Well, if the lsb scripts are not able to wrap long lines, a bug should 
be filed against lsb-base.

As for the lost detail, that was intentional. Slapd is the only init script 
of the 50 or so that I've investigated so far that prints half a man page 
instead of a one line error message.

I do agree that I should have sent the de-verbosification as a separate 
patch though :)

>The basic idea of the LSB logging functions is a good one, but I've been
>rather unsatisfied by how they look in practice.  One of the main things
>they do is render any error message much more confusing because it gets
>concatenated with status messages all on the same line.  There should be a
>better way, although I'm not quite sure what -- maybe something that
>intercepts stderr output so that it can add appropriate newlines, wrap
>error messages, and make things more readable.

I think the philosophy of lsb logging (and indeed most other non-slapd 
init scripts) is somewhat different. More along the lines of just 
printing "Starting devfoo....failed" and leaving a more detailed error 
description somewhere else (e.g. the man page or in syslog).

Regards,
David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 385898@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: David Härdeman <david@2gen.com>
Cc: 385898@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#385898: slapd: add lsb logging
Date: Mon, 04 Sep 2006 20:41:19 -0700
David Härdeman <david@2gen.com> writes:

> I think the philosophy of lsb logging (and indeed most other non-slapd
> init scripts) is somewhat different. More along the lines of just
> printing "Starting devfoo....failed" and leaving a more detailed error
> description somewhere else (e.g. the man page or in syslog).

Yeah, but the daemon itself generally prints out an error message if
things fail so badly that it can't even start, and that isn't captured or
handled by the LSB functions, so it ends up getting stuck after the
"starting devfoo..." bit without any whitespace and then failed ends up on
its own line.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 385898@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 385898@bugs.debian.org
Subject: slapd: add lsb logging
Date: Wed, 6 Sep 2006 20:46:59 +0200
[Message part 1 (text/plain, inline)]
Okey, I've attached a new version of the lsb patch which reduces the 
verbose messages to be a bit more in line with what other init.d scripts 
print.

Hopefully you'll find this patch acceptable, otherwise I'm open to 
suggestions on how to add lsb logging to slapd...

-- 
David Härdeman
[slapd-add-lsb-logging.patch (text/plain, inline)]
diff -ur ./openldap2.3-2.3.25.orig/debian/control ./openldap2.3-2.3.25/debian/control
--- ./openldap2.3-2.3.25.orig/debian/control	2006-09-06 20:13:07.000000000 +0200
+++ ./openldap2.3-2.3.25/debian/control	2006-09-06 20:13:37.000000000 +0200
@@ -12,7 +12,7 @@
 Priority: optional
 Architecture: any
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
-Depends: ${shlibs:Depends}, coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl, libldap-2.3-0 (= ${Source-Version}), adduser
+Depends: ${shlibs:Depends}, coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl, libldap-2.3-0 (= ${Source-Version}), adduser, lsb-base (>= 3.0-10)
 Recommends: db4.2-util, libsasl2-modules
 Suggests: ldap-utils
 Conflicts: umich-ldapd, ldap-server, libbind-dev, bind-dev, libltdl3 (= 1.5.4-1)
diff -ur ./openldap2.3-2.3.25.orig/debian/slapd.init ./openldap2.3-2.3.25/debian/slapd.init
--- ./openldap2.3-2.3.25.orig/debian/slapd.init	2006-09-06 20:13:07.000000000 +0200
+++ ./openldap2.3-2.3.25/debian/slapd.init	2006-09-06 20:38:10.000000000 +0200
@@ -9,6 +9,9 @@
 # Stop processing if slapd is not there
 [ -x /usr/sbin/slapd ] || exit 0
 
+# Use LSB logging functions
+. /lib/lsb/init-functions
+
 # Source the init script configuration
 if [ -f "/etc/default/slapd" ]; then
 	. /etc/default/slapd
@@ -24,15 +27,8 @@
 
 # Stop processing if the config file is not there
 if [ ! -r "$SLAPD_CONF" ]; then
-  cat <<EOF >&2
-No configuration file was found for slapd at $SLAPD_CONF.
-If you have moved the slapd configuration file please modify
-/etc/default/slapd to reflect this.  If you chose to not
-configure slapd during installation then you need to do so
-prior to attempting to start slapd.
-An example slapd.conf is in /usr/share/slapd
-EOF
-  exit 0 # Should this be 1?
+	log_warning_msg "No configuration file was found for slapd at $SLAPD_CONF."
+	exit 1
 fi
 
 # Figure out some default settings
@@ -54,10 +50,7 @@
 # XXX: Breaks upgrading if there is no pidfile (invoke-rc.d stop will fail)
 # -- Torsten
 if [ -z "$SLAPD_PIDFILE" ]; then
-	cat <<EOF >&2
-The pidfile for slapd is neither specified in "$SLAPD_CONF" nor
-in /etc/default/slapd. Consequently, slapd will not be started.
-EOF
+	log_failure_msg "The pidfile for slapd has not been specified"
 	exit 1
 fi
 
@@ -73,37 +66,25 @@
 # Tell the user that something went wrong and give some hints for
 # resolving the problem.
 report_failure() {
+	log_end_msg 1
 	if [ -n "$reason" ]; then
-		echo " - failed: "
-		echo "$reason"
+		log_failure_msg "$reason"
 	else
-		echo " - failed."
-		cat <<EOF
-The operation failed but no output was produced. For hints on what went
-wrong please refer to the system's logfiles (e.g. /var/log/syslog) or
-try running the daemon in Debug mode like via "slapd -d 16383" (warning:
-this will create copious output).
-EOF
+		log_failure_msg "The operation failed but no output was produced."
 
 		if [ -n "$SLURPD_OPTIONS" -o \
 		     -n "$SLAPD_OPTIONS" -o \
 		     -n "$SLAPD_SERVICES" ]; then
-			cat << EOF
-
-Below, you can find the command line options used by this script to 
-run slapd and slurpd. Do not forget to specify those options if you
-want to look to debugging output:
-EOF
 	                if [ -z "$SLAPD_SERVICES" ]; then
 				if [ -n "$SLAPD_OPTIONS" ]; then
-					echo "  slapd $SLAPD_OPTIONS"
+					log_failure_msg "Command line used: slapd $SLAPD_OPTIONS"
 				fi
                 	else
-                        	echo "  slapd -h '$SLAPD_SERVICES' $SLAPD_OPTIONS"
+                        	log_failure_msg "Command line used: slapd -h '$SLAPD_SERVICES' $SLAPD_OPTIONS"
                 	fi
 
                 	if [ "$SLURPD" = "yes" -a -n "$SLURPD_OPTIONS" ]; then
-                       		echo "  slurpd $SLURPD_OPTIONS"
+                       		log_failure_msg "Command line used: slurpd $SLURPD_OPTIONS"
                 	fi
 		fi
 	fi
@@ -112,7 +93,6 @@
 # Start the slapd daemon and capture the error message if any to 
 # $reason.
 start_slapd() {
-	echo -n " slapd"
 	if [ -z "$SLAPD_SERVICES" ]; then
 		reason="`start-stop-daemon --start --quiet --oknodo \
 			--pidfile "$SLAPD_PIDFILE" \
@@ -127,10 +107,6 @@
 # Start the slurpd daemon and capture the error message if any to
 # $reason.
 start_slurpd() {
-	if [ "$SLURPD_START" != yes ]; then
-		return 0
-	fi
-	echo -n " slurpd"
 	reason="`start-stop-daemon --start --quiet --oknodo \
 		--exec /usr/sbin/slurpd -- $SLURPD_OPTIONS 2>&1`"
 }
@@ -138,7 +114,6 @@
 # Stop the slapd daemon and capture the error message (if any) to
 # $reason.
 stop_slapd() {
-	echo -n " slapd"
 	reason="`start-stop-daemon --stop --quiet --oknodo --retry 10 \
 		--pidfile "$SLAPD_PIDFILE" \
 		--exec /usr/sbin/slapd 2>&1`"
@@ -147,32 +122,37 @@
 # Stop the slurpd daemon and capture the error message (if any) to
 # $reason.
 stop_slurpd() {
-	if [ "$SLURPD_START" != yes ]; then
-		return 0
-	fi
-	echo -n " slurpd"
 	reason="`start-stop-daemon --stop --quiet --oknodo --retry 10 \
 		--exec /usr/sbin/slurpd 2>&1`"
 }
 
 # Start the OpenLDAP daemons
 start() {
-	echo -n "Starting OpenLDAP:"
 	trap 'report_failure' 0
+	log_daemon_msg "Starting OpenLDAP" "slapd"
 	start_slapd
-	start_slurpd
+	if [ "$SLURPD_START" = "yes" ]; then
+		log_progress_msg "slurpd"
+		start_slurpd
+	fi
 	trap "-" 0
-	echo .
+	log_end_msg 0
 }
 
 # Stop the OpenLDAP daemons
 stop() {
-	echo -n "Stopping OpenLDAP:"
 	trap 'report_failure' 0
-	stop_slurpd
-	stop_slapd
+	if [ "$SLURPD_START" = "yes" ]; then
+		log_daemon_msg "Stopping OpenLDAP" "slurpd"
+		stop_slurpd
+		log_progress_msg "slapd"
+		stop_slapd
+	else
+		log_daemon_msg "Stopping OpenLDAP" "slapd"
+		stop_slapd
+	fi
 	trap "-" 0
-	echo .
+	log_end_msg 0
 }
 
 case "$1" in

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 385898@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385898@bugs.debian.org
Subject: Re: slapd: add lsb logging
Date: Wed, 16 Apr 2008 08:13:21 +0200
Any hope of having this fixed for Lenny?  slapd contain one of the few
boot scripts used by Debian Edu that fail to display any information
when using the graphical progress bars (usplash/splashy), and it would
be very helpful if some text would show up when slapd is started and
stopped.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#385898; Package slapd. (Mon, 25 Jan 2010 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 25 Jan 2010 22:03:07 GMT) Full text and rfc822 format available.

Message #35 received at 385898@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385898@bugs.debian.org
Subject: Re: slapd: add lsb logging
Date: Mon, 25 Jan 2010 23:00:29 +0100
[Petter Reinholdtsen 2008-04-16]
> Any hope of having this fixed for Lenny?  slapd contain one of the
> few boot scripts used by Debian Edu that fail to display any
> information when using the graphical progress bars
> (usplash/splashy), and it would be very helpful if some text would
> show up when slapd is started and stopped.

Lenny came and went, and the issue with boot message from slapd still
remains.  The slapd package is now one of the very few in Debian Edu
(5 of 111 scripts left) based on testing where the log messages do not
show up in usplash in non-quiet mode during boot.  Any hope of having
the messages sent through the lsb functions for Squeeze?

Happy hacking,
-- 
Petter Reinholdtsen




Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Sun, 18 Apr 2010 13:45:04 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Fri, 23 Apr 2010 19:36:12 GMT) Full text and rfc822 format available.

Notification sent to David Härdeman <david@hardeman.nu>:
Bug acknowledged by developer. (Fri, 23 Apr 2010 19:36:12 GMT) Full text and rfc822 format available.

Message #42 received at 385898-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 385898-close@bugs.debian.org
Subject: Bug#385898: fixed in openldap 2.4.21-1
Date: Fri, 23 Apr 2010 19:32:27 +0000
Source: openldap
Source-Version: 2.4.21-1

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.21-1_amd64.deb
  to main/o/openldap/ldap-utils_2.4.21-1_amd64.deb
libldap-2.4-2-dbg_2.4.21-1_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.21-1_amd64.deb
libldap-2.4-2_2.4.21-1_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.21-1_amd64.deb
libldap2-dev_2.4.21-1_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.21-1_amd64.deb
openldap_2.4.21-1.diff.gz
  to main/o/openldap/openldap_2.4.21-1.diff.gz
openldap_2.4.21-1.dsc
  to main/o/openldap/openldap_2.4.21-1.dsc
openldap_2.4.21.orig.tar.gz
  to main/o/openldap/openldap_2.4.21.orig.tar.gz
slapd-dbg_2.4.21-1_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.21-1_amd64.deb
slapd-smbk5pwd_2.4.21-1_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.21-1_amd64.deb
slapd_2.4.21-1_amd64.deb
  to main/o/openldap/slapd_2.4.21-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385898@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 23:40:30 +0200
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.21-1
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 226090 231950 385898 443073 452834 465024 490930 502769 504728 510346 518657 518660 528695 549291 549642 553432 561144 563113 564686 575900
Changes: 
 openldap (2.4.21-1) unstable; urgency=low
 .
   [ Steve Langasek ]
   * New upstream version
     (Closes: #561144, #465024, #502769, #528695, #564686, #504728)
   * Add upstream manpage for ldapexop; thanks to Peter Marschall
     <peter@adpm.de>.  Closes: #549291.
 .
   [ Matthijs Mohlmann ]
   * Ack NMU (Closes: #553432)
   * Update Standards-Version to 3.8.4
   * Fix NEWS entry to have the correct version number
   * Improve the wording for the slapd/invalid_config question (Closes: #452834)
   * Make lintian a bit more happy (Closes: #518660)
   * Fix bashism (Closes: #518657)
   * Refresh all patches
   * Add patch from upstream (Closes: #549642)
   * Reworked the configure.options a bit to include some more options
   * Enable dynamic acls
   * Use slappasswd to create a secure password (Closes: #490930)
   * Set a rootdn and rootpw if no password is given by debconf (Closes: #231950)
   * Better document the TLSCipherSuite in slapd.conf manpage (Closes: #563113)
   * Better document the TLS_CIPHER_SUITE in ldap.conf manpage (Closes: #510346)
   * Add smbk5pwd slapd module, used patch from Mark Hymers (Closes: #443073)
   * Add autogroup slapd module, used patch from Mathieu Parent (Closes: #575900)
   * Add lsb logging, used patch from David Härdeman (Closes: #385898)
   * Use dh_lintian to install the lintian-overrides
   * Added critical error report when slapcat fails (Closes: #226090)
Checksums-Sha1: 
 cacc47d1d3e1f497a42c7f2d4a9737d0f3c5726a 1862 openldap_2.4.21-1.dsc
 8ae276ae3df3230106268ad8169a1b0a08bbc545 4714249 openldap_2.4.21.orig.tar.gz
 2f505cdc246e5aa7fe34679d10f2abb569ed6666 150990 openldap_2.4.21-1.diff.gz
 4a585e7d2711cf39670f04e93ade9b755a6a3976 1585160 slapd_2.4.21-1_amd64.deb
 7b2fa9975e01473ca792c60a1042b55d882d3ca2 56116 slapd-smbk5pwd_2.4.21-1_amd64.deb
 11d80f417d731b738ccfe27e8027745b5a653321 327632 ldap-utils_2.4.21-1_amd64.deb
 b965ff2c1fe23474e045affe31f10a01a765e00f 207368 libldap-2.4-2_2.4.21-1_amd64.deb
 bbfc56e1411084229b6367f3de3ae5d193a10a69 303498 libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 88d32d11594c8167b77e47485da907c814b86b4d 908974 libldap2-dev_2.4.21-1_amd64.deb
 b91ed83b500c6b7f24382be1d0cff6e32c83c79e 3963684 slapd-dbg_2.4.21-1_amd64.deb
Checksums-Sha256: 
 56232c0a5f551b5074f16bd8368727e007866069896b1b90433d34a3fe440fd3 1862 openldap_2.4.21-1.dsc
 86f92f299cec257c6a721e4dd69a8f1c7257caae454c16e807f97a1c2caa029a 4714249 openldap_2.4.21.orig.tar.gz
 0523bfdb635d140124310b4efc4c50e3a0002ab289f93ee96636fbd8158a4a0d 150990 openldap_2.4.21-1.diff.gz
 e272f580471a851bcce5d54f01b131b6301fbc9276f92a288028cb3ad5f5ee43 1585160 slapd_2.4.21-1_amd64.deb
 f49d75ed42b117a7b5d107525bbc68bd58860ed5a50a7c8c403b18581c26fd12 56116 slapd-smbk5pwd_2.4.21-1_amd64.deb
 8e5dc0fd324389f7a1b51a31ce6b127563797ea9ac13342449e7403d37ea3845 327632 ldap-utils_2.4.21-1_amd64.deb
 1035872f19e03c1e8c23dc8469e9a62a621bd65e86361d6310f544573c2046e9 207368 libldap-2.4-2_2.4.21-1_amd64.deb
 97765ca48942b0b5ca82bd7caa09708358d6111bc3212f57ac7af3e728975257 303498 libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 fb95448d1a4a6e5697c83d3e73c264034d39ee2c9e760188076227948677be9c 908974 libldap2-dev_2.4.21-1_amd64.deb
 7728a33af98bdca8de42849e97ce7fd2bcf63b9d21bd32b8befd537725ac760f 3963684 slapd-dbg_2.4.21-1_amd64.deb
Files: 
 2e2436bac8eac1eae8549191951e123f 1862 net optional openldap_2.4.21-1.dsc
 74320e5744d58116a618986be204b1bc 4714249 net optional openldap_2.4.21.orig.tar.gz
 eafb9eb02c83688ba5fb97c195f21846 150990 net optional openldap_2.4.21-1.diff.gz
 74856a387aceefac2d87d816ce2d8677 1585160 net optional slapd_2.4.21-1_amd64.deb
 5fde31a7da08b9351432139b7392a431 56116 net extra slapd-smbk5pwd_2.4.21-1_amd64.deb
 389285994f60a418a08c215de45e21d6 327632 net optional ldap-utils_2.4.21-1_amd64.deb
 e9b831f40bb3bcbb2f2fc258765926ad 207368 libs standard libldap-2.4-2_2.4.21-1_amd64.deb
 ca488f5aad11f1c090ed9d51a86ca421 303498 debug extra libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 a66ff0d308a9202f00b6657669f3abc4 908974 libdevel extra libldap2-dev_2.4.21-1_amd64.deb
 42c8f8bbf7e0f839f1abe8c3c85b8e98 3963684 debug extra slapd-dbg_2.4.21-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvR0A8ACgkQ2n1ROIkXqbD9mwCfVfQZsFs1fD1KT6TNATFYPt0Y
J2AAn3C9sNji1k3++RVWCFvIDxx6czgd
=TThi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:41:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:17:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.